SDL Library Documentation
Prev |  | Next

# SDL_EnableUNICODE

## Name

SDL_EnableUNICODE -- Enable UNICODE translation

## Synopsis

    #include "SDL.h"

``int SDL_EnableUNICODE`(int enable);`

## Description

Enables/Disables Unicode keyboard translation.

To obtain the character codes corresponding to received keyboard events, Unicode translation must first be turned on using this function. The translation incurs a slight overhead for each keyboard event and is therefore disabled by default. For each subsequently received key down event, the `unicode` member of the SDL_keysym structure will then contain the corresponding character code, or zero for keysyms that do not correspond to any character code.

A value of 1 for `enable` enables Unicode translation; 0 disables it, and -1 leaves it unchanged (useful for querying the current translation mode).

Note that only key press events will be translated, not release events.

## Return Value

Returns the previous translation mode (0 or 1).

## See Also

SDL_keysym

Prev | Home | Next
SDL_GetKeyName | Up | SDL_EnableKeyRepeat